> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/smart-transfer/create-ticket",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Create Ticket

> Creates a new Smart Transfer ticket. Learn more about Fireblocks Smart Transfers [here](https://developers.fireblocks.com/docs/execute-smart-transfers).

**Note:** The `DVP` value is in Early Access and should only be used if Fireblocks has enabled it in your workspace. Contact your Customer Success Manager for more information.

**Endpoint Permissions:** Admin, Non-Signing Admin, Signer, Approver, Editor.




## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml post /smart-transfers
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /smart-transfers:
    post:
      tags:
        - Smart Transfer
      summary: Create Ticket
      description: >
        Creates a new Smart Transfer ticket. Learn more about Fireblocks Smart
        Transfers
        [here](https://developers.fireblocks.com/docs/execute-smart-transfers).


        **Note:** The `DVP` value is in Early Access and should only be used if
        Fireblocks has enabled it in your workspace. Contact your Customer
        Success Manager for more information.


        **Endpoint Permissions:** Admin, Non-Signing Admin, Signer, Approver,
        Editor.
      operationId: createTicket
      parameters:
        - $ref: '#/components/parameters/X-Idempotency-Key'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SmartTransferCreateTicket'
      responses:
        '201':
          description: Smart Transfer ticket was created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SmartTransferTicketResponse'
        '403':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SmartTransferForbiddenResponse'
        '422':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SmartTransferBadRequestResponse'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<SmartTransferTicketResponse>> =
            fireblocks.smartTransfer.createTicket(smartTransferApiCreateTicketRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<SmartTransferTicketResponse>> response
            = fireblocks.smartTransfer().createTicket(smartTransferCreateTicket,
            idempotencyKey);
        - lang: Python
          source: >-
            response =
            fireblocks.smart_transfer.create_ticket(smart_transfer_create_ticket,
            idempotency_key);
components:
  parameters:
    X-Idempotency-Key:
      name: Idempotency-Key
      in: header
      description: >-
        A unique identifier for the request. If the request is sent multiple
        times with the same idempotency key, the server will return the same
        response as the first request. The idempotency key is valid for 24
        hours.
      required: false
      schema:
        type: string
  schemas:
    SmartTransferCreateTicket:
      type: object
      properties:
        createdByNetworkId:
          type: string
        type:
          type: string
          enum:
            - ASYNC
            - DVP
        expiresIn:
          type: number
          minimum: 1
          maximum: 48
          description: >-
            Number of hours after which an OPEN ticket will expire if no term is
            funded.
        terms:
          type: array
          items:
            $ref: '#/components/schemas/SmartTransferCreateTicketTerm'
        externalRefId:
          type: string
          maxLength: 64
        note:
          type: string
          maxLength: 1024
        submit:
          type: boolean
      required:
        - createdByNetworkId
        - type
    SmartTransferTicketResponse:
      type: object
      properties:
        message:
          type: string
          description: Result message
          example: Success
          nullable: true
        data:
          $ref: '#/components/schemas/SmartTransferTicket'
      required:
        - message
    SmartTransferForbiddenResponse:
      type: object
      properties:
        message:
          type: string
          description: Forbidden error code
          example: You do not have permission to execute this action
        code:
          type: string
          description: Error code
          example: 3002
      required:
        - message
        - code
    SmartTransferBadRequestResponse:
      type: object
      properties:
        message:
          type: string
          description: Bad request error message
          example: Your request contains invalid data
        code:
          type: string
          description: Bad request error code
          example: 2e7a7a5d-c85c-4ea5-9adf-668cba8b4eb4
      required:
        - message
        - code
    SmartTransferCreateTicketTerm:
      type: object
      properties:
        asset:
          type: string
          description: Asset name
          example: BTC
          x-fb-entity: asset
        amount:
          type: string
          description: Amount
          example: '133.789161216184'
        fromNetworkId:
          type: string
          description: Identifier of the origination Network Profile
          example: 947c6115-1f5f-4fb4-9fd6-a1f9dee14670
        toNetworkId:
          type: string
          description: Identifier of the destination Network Profile
          example: 5d009697-c29b-48e0-aff8-1f4305d19dc2
      required:
        - asset
        - amount
        - fromNetworkId
        - toNetworkId
    SmartTransferTicket:
      type: object
      description: Data object with result data
      nullable: true
      properties:
        id:
          type: string
          description: Unique id of Smart Transfer ticket
          example: 118320d2-761f-46c7-96cf-65e71a370b36
        type:
          type: string
          enum:
            - ASYNC
            - DVP
          description: Kind of Smart Transfer. Can be either `ASYNC` or `DVP`
          example: ASYNC
        direction:
          enum:
            - EXCHANGE
            - SEND
            - RECEIVE
            - INTERMEDIATE
          type: string
          description: Direction of Smart Transfer.
          example: EXCHANGE
        status:
          enum:
            - DRAFT
            - PENDING_APPROVAL
            - OPEN
            - IN_SETTLEMENT
            - FULFILLED
            - EXPIRED
            - CANCELED
          type: string
          description: Current status of Smart Transfer ticket
          example: DRAFT
        dvpExecutionStatus:
          enum:
            - STARTED
            - CREATING_ORDER
            - ORDER_CREATED
            - FULFILLING
            - FULFILLING_ORDER_FAILED
            - CREATING_ORDER_FAILED
            - FULFILLED
          type: string
          description: Current status of DVP execution
          example: STARTED
        orderCreatedByNetworkId:
          type: string
          description: ID of network profile that created order
          example: 3eaa94c5-128b-4835-bb08-3111bb6564c7
        terms:
          description: Ticket terms (legs)
          example:
            - id: 84601ee2-b10f-4aa8-be9c-dba259a3533a
              ticketId: 118320d2-761f-46c7-96cf-65e71a370b36
              amount: '10.00'
              asset: ETH
              fromNetworkId: 947c6115-1f5f-4fb4-9fd6-a1f9dee14670
              toNetworkId: 5d009697-c29b-48e0-aff8-1f4305d19dc2
              status: CREATED
            - id: 84601ee2-b10f-4aa8-be9c-dba259a3533a
              ticketId: 118320d2-761f-46c7-96cf-65e71a370b36
              amount: '10.00'
              asset: ETH
              fromNetworkId: 947c6115-1f5f-4fb4-9fd6-a1f9dee14670
              fromNetworkIdName: Source network profile 1
              toNetworkId: 5d009697-c29b-48e0-aff8-1f4305d19dc2
              toNetworkIdName: Destination network profile 1
              status: FUNDING
              connectionId: 14817440-d5c8-4dbd-a754-ad415683610c
              fbTxId: 79075e8c-1fd9-4c97-9575-3bd9229e5c0d
              createdAt: '2023-03-01T11:23:00.000Z'
              updatedAt: '2023-03-01T11:23:00.000Z'
            - id: 84601ee2-b10f-4aa8-be9c-dba259a3533a
              ticketId: 118320d2-761f-46c7-96cf-65e71a370b36
              amount: '10.00'
              asset: ETH
              fromNetworkId: 947c6115-1f5f-4fb4-9fd6-a1f9dee14670
              fromNetworkIdName: Source network profile 2
              toNetworkId: 5d009697-c29b-48e0-aff8-1f4305d19dc2
              toNetworkIdName: Destination network profile 2
              status: FUNDED
              connectionId: 14817440-d5c8-4dbd-a754-ad415683610c
              fbTxId: 79075e8c-1fd9-4c97-9575-3bd9229e5c0d
              txHash: >-
                0xb5c8bd9430b6cc87a0e2fe110ece6bf527fa4f170a4bc8cd032f768fc5219838
              createdAt: '2023-03-01T11:23:00.000Z'
              updatedAt: '2023-03-01T11:23:00.000Z'
          type: array
          items:
            $ref: '#/components/schemas/SmartTransferTicketTerm'
        expiresIn:
          type: number
          description: >-
            Number of hours for expiration.This data is valid only it ticket not
            in DRAFT state and it will be used to calculate expiresAt value
          example: '13'
        expiresAt:
          format: date-time
          type: string
          description: >-
            Date and time at which the ticket will expire if no funding is
            performed.
          example: '2023-03-01T11:23:00Z'
        submittedAt:
          format: date-time
          type: string
          description: Date and time when ticket is submitted.
          example: '2023-03-01T11:23:00Z'
        expiredAt:
          format: date-time
          type: string
          description: Date and time when ticket is expired.
          example: '2023-03-01T11:23:00Z'
        canceledAt:
          format: date-time
          type: string
          description: Date and time when ticket is canceled.
          example: '2023-03-01T11:23:00Z'
        fulfilledAt:
          format: date-time
          type: string
          description: Date and time when ticket is fulfilled.
          example: '2023-03-01T11:23:00Z'
        externalRefId:
          type: string
          description: External Ref ID for Smart Transfer ticket.
          example: 2631ffb9d8fe47c6b0825b5be28297da
        note:
          type: string
          description: Note
          example: Random note
        createdByNetworkId:
          type: string
          description: ID of network profile that created ticket
          example: 3eaa94c5-128b-4835-bb08-3111bb6564c7
        createdByNetworkIdName:
          type: string
          description: Name of network profile that created ticket
          example: Network id name
        canceledByNetworkIdName:
          type: string
          description: Name of network profile that canceled ticket
          example: Network id name
        createdAt:
          format: date-time
          type: string
          description: Date and time at which the ticket is created.
          example: '2023-03-01T11:23:00Z'
        updatedAt:
          format: date-time
          type: string
          description: Date and time of last ticket update.
          example: '2023-03-01T11:23:00Z'
        canceledByMe:
          type: boolean
        createdByMe:
          type: boolean
      required:
        - id
        - type
        - status
        - createdByNetworkId
        - createdByNetworkIdName
        - createdAt
        - updatedAt
    SmartTransferTicketTerm:
      type: object
      description: Data object with result data
      nullable: true
      properties:
        id:
          type: string
          description: Unique id of Smart Transfer ticket term
          example: 84601ee2-b10f-4aa8-be9c-dba259a3533a
        ticketId:
          type: string
          description: Unique id of Smart Transfer ticket
          example: 900f04c3-83bc-428d-b681-aef682059637
        asset:
          type: string
          description: Asset name
          example: BTC
          x-fb-entity: asset
        amount:
          type: string
          description: Amount
          example: '133.789161216184'
        dvpSrcDstVaultId:
          type: string
          description: Identifier of the source and destination vault for DVP execution
          example: 1
        amountUsd:
          type: string
          description: Amount USD
          example: '1333.789161216184'
        fromNetworkId:
          type: string
          description: Identifier of the origination Network Profile
          example: 947c6115-1f5f-4fb4-9fd6-a1f9dee14670
        fromNetworkIdName:
          type: string
          description: Source network name
          example: Source network profile name
        toNetworkId:
          type: string
          description: Identifier of the destination Network Profile
          example: 5d009697-c29b-48e0-aff8-1f4305d19dc2
        toNetworkIdName:
          type: string
          description: Destination network name
          example: Destination network profile name
        txHash:
          type: string
          description: Blockchain TX hash
          example: '0x2446f1fd773fbb9f080e674b60c6a033c7ed7427b8b9413cf28a2a4a6da9b56c'
          nullable: true
        fbTxId:
          type: string
          description: >-
            Fireblocks transaction ID. It is set when the funding transaction is
            created.
          example: 79075e8c-1fd9-4c97-9575-3bd9229e5c0d
          nullable: true
        txStatus:
          type: string
          description: Ticket term transaction status
          example: COMPLETED
          nullable: true
          enum:
            - queued
            - submitted
            - pendingSignature
            - pendingAuthorization
            - broadcasting
            - confirming
            - pendingAmlScreening
            - completed
            - cancelled
            - failed
            - rejected
            - blocked
            - thirdPartyPendingManualApproval
            - thirdPartyPending
            - partiallyCompleted
            - cancelling
        status:
          type: string
          description: Ticket term status
          example: CREATED
          nullable: false
          enum:
            - CREATED
            - FUNDING
            - FUNDING_FAILED
            - FUNDED
            - REJECTED
        createdAt:
          format: date-time
          type: string
          description: Date and time when the term is created.
          example: '2023-03-01T11:23:00Z'
        updatedAt:
          format: date-time
          type: string
          description: Date and time of last term update.
          example: '2023-03-01T11:23:00Z'
      required:
        - id
        - ticketId
        - asset
        - amount
        - fromNetworkId
        - fromNetworkIdName
        - toNetworkId
        - toNetworkIdName
        - txHash
        - fbTxId
        - txStatus
        - status
        - createdAt
        - updatedAt

````